%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           zimg
Version:        3.0.5
Release:        %mkrel 1
Summary:        Scaling, color space conversion, and dithering library
License:        WTFPL
Group:          System/Libraries
URL:            https://github.com/sekrit-twc/zimg
Source0:        https://github.com/sekrit-twc/zimg/archive/release-%{version}/%{name}-release-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool

%description
The "z" library implements the commonly required image processing basics of
scaling, color space conversion, and depth conversion. A simple API enables
conversion between any supported formats to operate with minimal knowledge from
the programmer. All library routines were designed from the ground-up with
correctness, flexibility, and thread-safety as first priorities. Allocation,
buffering, and I/O are cleanly separated from processing, allowing the
programmer to adapt "z" to many scenarios.

%package -n %{libname}
Summary:        Scaling, color space conversion, and dithering library
Group:          System/Libraries

%description -n %{libname}
The "z" library implements the commonly required image processing basics of
scaling, color space conversion, and depth conversion. A simple API enables
conversion between any supported formats to operate with minimal knowledge from
the programmer. All library routines were designed from the ground-up with
correctness, flexibility, and thread-safety as first priorities. Allocation,
buffering, and I/O are cleanly separated from processing, allowing the
programmer to adapt "z" to many scenarios.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n zimg-release-%{version}

%build
autoreconf -vif
%configure \
    --disable-static \
    --enable-testapp
%make_build V=1

%install
%make_install

install -m 755 -p -D testapp %{buildroot}%{_bindir}/testapp

find %{buildroot} -name '*.la' -delete

# Pick up docs in the files section
rm -fr %{buildroot}%{_docdir}/%{name}

%files -n %{libname}
%license COPYING
%doc README.md ChangeLog
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_bindir}/testapp
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Nov 27 2023 daviddavid <daviddavid> 3.0.5-1.mga10
+ Revision: 2010391
- initial package zimg (needed for mpv)

